org.apache.felix.ipojo.handlers.configuration

## Interface ConfigurationListener

    public interface ConfigurationListener

Listener interface for configuration updates of iPOJO component instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `configurationChanged(ComponentInstance instance, java.util.Map<java.lang.String,java.lang.Object> configuration)` Called when the component instance is reconfigured.

### Method Detail

#### configurationChanged

    void configurationChanged(ComponentInstance instance,
                              java.util.Map<java.lang.String,java.lang.Object> configuration)

Called when the component instance is reconfigured.

Parameters:
  `instance` - the concerned instance
  `configuration` - snapshot of the instance configuration. Unmodifiable.